{*file puq_customization/extensions/CurrencyExchange/templates/history.tpl*}

<style>
    .month-range {
        display: flex;
        align-items: center;
    }
    .month-range select {
        margin-right: 10px;
    }

    .month-range > div {
        display: flex;
        align-items: center;
        gap: 10px;
    }



     #curve_chart {
         width: 100%;
         height: 30vh;
         min-height: 500px;
     }

    #historyForm {
        padding-bottom: 10px;
    }

</style>
<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
<form id="historyForm" name="historyForm" method="post" action="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=currency_exchange&action=history">
    <div class="month-range">
        <div>
            <label for="month_select">{$lang['Month']}:</label>
            <select class="form-control select-inline" id="month_select" name="month" required>
                {foreach from=$uniqueMonths item=month}
                    <option value="{$month}">{$month}</option>
                {/foreach}
            </select>
        </div>
        <div>
            <label for="year_select">{$lang['Year']}:</label>
            <select class="form-control select-inline" id="year_select" name="year" required>
                {foreach from=$monthsAndYears key=year item=months}
                    <option value="{$year}">{$year}</option>
                {/foreach}
            </select>
        </div>
        <button class="btn btn-primary" id="loadDataButton">{$lang['Load Data']}</button>
    </div>
</form>

<div id="curve_chart"></div>



<!-- Таблица для отображения данных о курсах валют -->
<table style="width:100%" class="table" id="currency_table">
    <thead>
    <tr>
        <th>{$lang['Currency code']}</th>
        <th>{$lang['Price']}</th>
        <th>{$lang['Reverse price']}</th>
        <th>{$lang['Creation date']}</th>
    </tr>
    </thead>
    <tbody>
    {foreach from=$response item=currency}
        <tr>
            <td>{$currency.code}</td>
            <td>{$currency.price}</td>
            <td>{$currency.receive_price}</td>
            <td>{$currency.created_at}</td>
        </tr>
    {/foreach}
    </tbody>
</table>

<script type="text/javascript">
    google.charts.load('current', { 'packages':['corechart'] });
    google.charts.setOnLoadCallback(drawChart);

    function drawChart() {
        var chartData = JSON.parse('{$groupedData|escape:"javascript"}');
        var data = google.visualization.arrayToDataTable(chartData);

        var options = {
            title: '{$lang['Changes in exchange rates']}',
            curveType: 'function',
            legend: { position: 'bottom' },
            chartArea: { 'width': '90%', 'height': '90%' }, // Increase chart area size
            hAxis: {
                textPosition: 'out',
                slantedText: true,
                slantedTextAngle: 45 // Rotate labels on the x-axis
            }
        };

        var chart = new google.visualization.LineChart(document.getElementById('curve_chart'));
        chart.draw(data, options);
    }
</script>




