{*file puq_customization/extensions/ExportTool/templates/configuration.tpl*}

<style>
    #visualTableContainer table {
        width: 100%;
        border-collapse: collapse;
    }
</style>


<form id="ExportToolForm" name="ExportTool" method="post" action="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=export_tool&action=config_tables">

    <div class="tab-pane">
        <table class="form" width="100%" border="0" cellspacing="2" cellpadding="3">
            <tbody>
            <!-- Add new group -->
            <tr>
                <td class="fieldlabel">{$lang['Add new group']}</td>
                <td class="fieldarea">
                    <input type="text" class="form-control select-inline" name="new_group" value="" size="25">
                    <input type="button" class="btn btn-primary" value="Add new" onclick="getNewGroup()">
                </td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Visual Tables for Export']}</td>
                <td class="fieldarea">
                    <input type="hidden" name="available_tables" value='{$available_tables}'>
                    <div id="visualTableContainer" class="dataTables_wrapper form-inline dt-bootstrap no-footer"></div>
                </td>
            </tr>

            </tbody>
        </table>
    </div>
    <!-- Submit Button -->
    <div class="btn-container">
        <button type="submit" name="submit" value="submit" class="btn btn-primary">{$lang['Save Changes']}</button>
    </div>
</form>

<script type="text/javascript">
    var tableAttributes = {$tableAttributes|json_encode};
    var selectedAttributes = {$available_tables};
    var currentTable = '';


    function getNewGroup() {
        var newGroupName = document.querySelector('input[name="new_group"]').value;
        if (!newGroupName.trim()) {
            alert("{$lang['Name of the new group cannot be empty.']}");
            return;
        }
        var url = "{$before_path}/admin/addonmodules.php?module=puq_customization&extension=export_tool&action=config_group&group="+newGroupName
        return redirectToPage(url);
    }

    function saveCurrentSelection(table) {
        var checkboxes = document.querySelectorAll('#attributesContainer input[type="checkbox"]');
        selectedAttributes[table] = [];

        checkboxes.forEach(function(checkbox) {
            if (checkbox.checked && checkbox.value !== "skip_checked_778jj66") {
                selectedAttributes[table].push(checkbox.value);
            }
        });
        updateHiddenField();
    }


    function updateSelectedAttributes() {
        saveCurrentSelection(currentTable);
        updateHiddenField();
    }

    function updateHiddenField() {
        var groupName = document.querySelector('input[name="group_name"]').value;
        var accessIp = document.querySelector('input[name="access_ip"]').value.split(',').map(ip => ip.trim());

        var filteredAttributes = { };
        for (var table in selectedAttributes) {
            if (selectedAttributes.hasOwnProperty(table) && selectedAttributes[table].length > 0) {
                filteredAttributes[table] = selectedAttributes[table];
            }
        }

        var groupData = {
            [groupName]: {
                "access_ip": accessIp,
                "access_table": filteredAttributes
            }
        };

        document.querySelector('input[name="available_tables"]').value = JSON.stringify(groupData);
    }

    function redirectToPage(URL) {
        window.location.href = URL;
    }


    function updateVisualTable(groupData) {
        var container = document.getElementById('visualTableContainer');
        var html = '<table class="datatable table table-themed display data-driven filterable dataTable no-footer" cellspacing="1" cellpadding="3" border="0">';
        html += '<tr><th>{$lang['Group Name']}</th><th>{$lang['Tables in Group']}</th><th>{$lang['Edit']}</th><th>{$lang['Delete']}</th></tr>';

        for (var groupName in groupData) {
            if (groupData.hasOwnProperty(groupName)) {
                var groupInfo = groupData[groupName];
                var tablesInGroup = [];

                for (var tableName in groupInfo['access_table']) {
                    if (groupInfo['access_table'].hasOwnProperty(tableName) && groupInfo['access_table'][tableName].length > 0) {
                        tablesInGroup.push(tableName);
                    }
                }

                var tablesInGroupString = tablesInGroup.join(', ');
                var url_visit_group = "{$before_path}/admin/addonmodules.php?module=puq_customization&extension=export_tool&action=config_group&group=" + encodeURIComponent(groupName);

                html += '<tr>';
                html += '<td><label>' + groupName + '</label></td>';
                html += '<td><label>' + tablesInGroupString + '</label></td>';
                html += '<td><input type="button" class="btn btn-primary btn-block" value="{$lang['Edit']}" onclick="redirectToPage(\'' + url_visit_group + '\')"></td>';
                html += '<td><input type="button" class="btn btn-danger btn-block" value="{$lang['Delete']}" onclick="deleteFunction(\'' + encodeURIComponent(groupName) + '\')"></td>';
                html += '</tr>';
            }
        }

        html += '</table>';
        container.innerHTML = html;
    }


    function deleteFunction(groupName) {
        var decodedGroupName = decodeURIComponent(groupName);
        var savedData = JSON.parse(document.querySelector('input[name="available_tables"]').value || '{}');

        if (savedData.hasOwnProperty(decodedGroupName)) {
            delete savedData[decodedGroupName];

            document.querySelector('input[name="available_tables"]').value = JSON.stringify(savedData);

            updateVisualTable(JSON.parse(document.querySelector('input[name="available_tables"]').value || '{}'));

        } else {
            alert("{$lang['Group not found:']}" + " " + decodedGroupName);
        }
    }








    function copyToClipboard(text) {
        var textArea = document.createElement("textarea");
        textArea.value = text;
        document.body.appendChild(textArea);
        textArea.select();
        document.execCommand("Copy");
        textArea.remove();
        alert("{$lang['Link copied to clipboard']}");
    }


    window.onload = function() {

        var tableSelect = document.querySelector('select[name="selected_table"]');
        if (tableSelect) {
            var savedData = JSON.parse(document.querySelector('input[name="available_tables"]').value || '{}');
            var groupName = Object.keys(savedData)[0];

            if (groupName) {
                document.querySelector('input[name="group_name"]').value = groupName;
                var groupInfo = savedData[groupName];
                document.querySelector('input[name="access_ip"]').value = groupInfo.access_ip.join(', ');
                selectedAttributes = groupInfo.access_table || {};


                for (var tableName in selectedAttributes) {
                    if (selectedAttributes.hasOwnProperty(tableName)) {

                        tableSelect.value = tableName;

                    }
                }
                selectedAttributes = {$available_tables};
                updateVisualTable(selectedAttributes);
            }
        }
        updateVisualTable(selectedAttributes);
        setTimeout(function() {
            var successBox = document.querySelector('.successbox');
            if (successBox) {
                successBox.remove();
            }
        }, 5000);
    };







    function checkAllChanged(checkAllElement) {
        var checkboxes = document.querySelectorAll('.checkAllAttributesCheck');
        for (var i = 0; i < checkboxes.length; i++) {
            checkboxes[i].checked = checkAllElement.checked;
        }
        updateSelectedAttributes();
    }

    function checkAttributeChanged(checkboxId) {
        var checkbox = document.getElementById(checkboxId);
        checkbox.checked = !checkbox.checked;
        updateSelectedAttributes();
    }

    function validateNumberInput(input) {
        const regex = /^[0-9]*$/;
        const currentValue = input.value;
        if (!regex.test(currentValue)) {
            input.value = currentValue.slice(0, -1);
        }
    }
</script>


